Skip to main content
POST
Create Ad Group

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

customer_id
integer
required
token_id
integer | null

Optional specific Token ID

Body

application/json

Request to create a new ad group.

campaign_id
integer
required

Campaign ID to create the ad group in

name
string
required

Ad group name

Required string length: 1 - 256
ad_group_type
enum<string>
default:SEARCH_STANDARD

Ad group type

Available options:
SEARCH_STANDARD,
DISPLAY_STANDARD,
SHOPPING_PRODUCT_ADS
status
enum<string>
default:ENABLED

Initial ad group status

Available options:
ENABLED,
PAUSED
cpc_bid_micros
integer | null

Default CPC bid in micros

Required range: x > 0

Response

Successful Response

Result of an ad group mutation operation.

success
boolean
required
ad_group_id
integer | null
resource_name
string | null
error_code
string | null
error_message
string | null